﻿--创建用户
--create user ghjg_pd identified by GHJG_123;
--用户赋予权限
--grant connect,resource,dba to ghjg_pd;



-- 科室表
CREATE TABLE GHJG_PD.REF_DEPARTMENT
(
  DEPARTMENT_ID    NUMBER(5) NOT NULL,
  DEPARTMENT_NAME  NVARCHAR2(20),
  DEPARTMENT_LEVEL NVARCHAR2(20),
  CREATE_TIME      DATE,
  UPDATE_TIME      DATE,
  DELETE_FLAG      NUMBER(1) DEFAULT 0,
  CREATE_USER      NVARCHAR2(50),
  UPDATE_USER      NVARCHAR2(50),
  COLUMN1          NVARCHAR2(255),
  COLUMN2          NVARCHAR2(255),
  COLUMN3          NVARCHAR2(255),
  COLUMN4          NVARCHAR2(255),
  COLUMN5          NVARCHAR2(255),
  COLUMN6          NVARCHAR2(255)
);
ALTER TABLE GHJG_PD.REF_DEPARTMENT
  ADD CONSTRAINT DEPARTMENT_ID PRIMARY KEY (DEPARTMENT_ID)
  USING INDEX
  TABLESPACE GHJGPD
  PCTFREE 10
  INITRANS 2
  MAXTRANS 255;

-- 科室表主键序列
create sequence SEQ_DEPARTMENT_ID
minvalue 1  --增长最小值
maxvalue 9999  --增长最大值,也可以设置NOMAXvalue -- 不设置最大值
start with 1  --从101开始计数
increment by 1  --自增步长为1
cache 50  --设置缓存cache个序列，如果系统down掉了或者其它情况将会导致序列不连续，也可以设置为---NOCACHE防止跳号
cycle;  --循环,当达到最大值时,不是从start with设置的值开始循环。而是从1开始循环


-- 职称表
CREATE TABLE GHJG_PD.REF_POSITION
(
  POSITION_ID    NUMBER(5) NOT NULL,
  POSITION_NAME  NVARCHAR2(20),
  POSITION_LEVEL NVARCHAR2(20),
  CREATE_TIME      DATE,
  UPDATE_TIME      DATE,
  DELETE_FLAG      NUMBER(1) DEFAULT 0,
  CREATE_USER      NVARCHAR2(50),
  UPDATE_USER      NVARCHAR2(50),
  COLUMN1          NVARCHAR2(255),
  COLUMN2          NVARCHAR2(255),
  COLUMN3          NVARCHAR2(255),
  COLUMN4          NVARCHAR2(255),
  COLUMN5          NVARCHAR2(255),
  COLUMN6          NVARCHAR2(255)
);

ALTER TABLE GHJG_PD.REF_POSITION
  ADD CONSTRAINT POSITION_ID PRIMARY KEY (POSITION_ID)
  USING INDEX
  TABLESPACE GHJGPD
  PCTFREE 10
  INITRANS 2
  MAXTRANS 255;

create sequence SEQ_POSITION_ID
minvalue 1  --增长最小值
maxvalue 9999  --增长最大值,也可以设置NOMAXvalue -- 不设置最大值
start with 1  --从101开始计数
increment by 1  --自增步长为1
cache 50  --设置缓存cache个序列，如果系统down掉了或者其它情况将会导致序列不连续，也可以设置为---NOCACHE防止跳号
cycle;  --循环,当达到最大值时,不是从start with设置的值开始循环。而是从1开始循环



-- 人员表
CREATE TABLE GHJG_PD.SYS_USER
(
  USER_ID    NVARCHAR2(20) NOT NULL,
  USER_NAME  NVARCHAR2(20),
  USER_SEX   NVARCHAR2(1),
  DEPARTMENT_ID   NUMBER(5) NOT NULL,        --部门
  POSITION_ID NUMBER(5) NOT NULL,            --职称
  USER_STATUS NUMBER(1) NOT NULL,      --状态
  USER_PASSWORD NVARCHAR2(50),           --密码
  USER_EMAIL   NVARCHAR2(100),          --邮箱
  USER_MOBILE  NVARCHAR2(50),          --手机号
  USER_LAST_LOGIN_TIME  DATE,          --最后登录时间
  CREATE_TIME      DATE,
  UPDATE_TIME      DATE,
  DELETE_FLAG      NUMBER(1) DEFAULT 0,
  CREATE_USER      NVARCHAR2(50),
  UPDATE_USER      NVARCHAR2(50),
  COLUMN1          NVARCHAR2(255),
  COLUMN2          NVARCHAR2(255),
  COLUMN3          NVARCHAR2(255),
  COLUMN4          NVARCHAR2(255),
  COLUMN5          NVARCHAR2(255),
  COLUMN6          NVARCHAR2(255)
);


--页面表
CREATE TABLE GHJG_PD.SYS_PAGE
(
  PAGE_ID    NVARCHAR2(20) NOT NULL,
  PAGE_NAME  NVARCHAR2(20),
  PAGE_STATUS NUMBER(1) NOT NULL,      --状态
  PAGE_PATH NVARCHAR2(20),             --地址
  MODULE_ID    NVARCHAR2(20) NOT NULL,
  CREATE_TIME      DATE,
  UPDATE_TIME      DATE,
  DELETE_FLAG      NUMBER(1) DEFAULT 0,
  CREATE_USER      NVARCHAR2(50),
  UPDATE_USER      NVARCHAR2(50),
  COLUMN1          NVARCHAR2(255),
  COLUMN2          NVARCHAR2(255),
  COLUMN3          NVARCHAR2(255),
  COLUMN4          NVARCHAR2(255),
  COLUMN5          NVARCHAR2(255),
  COLUMN6          NVARCHAR2(255)
);


--页面模块表
CREATE TABLE GHJG_PD.SYS_PAGE_MODULE
(
  MODULE_ID    NVARCHAR2(20) NOT NULL,
  MODULE_NAME  NVARCHAR2(20),
  MODULE_STATUS NUMBER(1) NOT NULL,      --状态
  CREATE_TIME      DATE,
  UPDATE_TIME      DATE,
  DELETE_FLAG      NUMBER(1) DEFAULT 0,
  CREATE_USER      NVARCHAR2(50),
  UPDATE_USER      NVARCHAR2(50),
  COLUMN1          NVARCHAR2(255),
  COLUMN2          NVARCHAR2(255),
  COLUMN3          NVARCHAR2(255),
  COLUMN4          NVARCHAR2(255),
  COLUMN5          NVARCHAR2(255),
  COLUMN6          NVARCHAR2(255)
);


--角色表
CREATE TABLE GHJG_PD.SYS_ROLE
(
  ROLE_ID    NVARCHAR2(20) NOT NULL,
  ROLE_NAME  NVARCHAR2(20),
  ROLE_STATUS NUMBER(1) NOT NULL,      --状态
  DEPARTMENT_ID   NUMBER(5) NOT NULL,        --部门
  CREATE_TIME      DATE,
  UPDATE_TIME      DATE,
  DELETE_FLAG      NUMBER(1) DEFAULT 0,
  CREATE_USER      NVARCHAR2(50),
  UPDATE_USER      NVARCHAR2(50),
  COLUMN1          NVARCHAR2(255),
  COLUMN2          NVARCHAR2(255),
  COLUMN3          NVARCHAR2(255),
  COLUMN4          NVARCHAR2(255),
  COLUMN5          NVARCHAR2(255),
  COLUMN6          NVARCHAR2(255)
);

--科室页面对应表
CREATE TABLE GHJG_PD.ASS_PAGE_DEPARTMENT
(
  ASS_ID    NVARCHAR2(20) NOT NULL,
  DEPARTMENT_ID   NUMBER(5) NOT NULL,        --部门
  PAGE_ID    NVARCHAR2(20) NOT NULL,
  CREATE_TIME      DATE,
  UPDATE_TIME      DATE,
  DELETE_FLAG      NUMBER(1) DEFAULT 0,
  CREATE_USER      NVARCHAR2(50),
  UPDATE_USER      NVARCHAR2(50),
  COLUMN1          NVARCHAR2(255),
  COLUMN2          NVARCHAR2(255),
  COLUMN3          NVARCHAR2(255),
  COLUMN4          NVARCHAR2(255),
  COLUMN5          NVARCHAR2(255),
  COLUMN6          NVARCHAR2(255)
);


--角色页面对应表
CREATE TABLE GHJG_PD.ASS_PAGE_ROLE
(
  ASS_ID    NVARCHAR2(20) NOT NULL,
  ROLE_ID    NVARCHAR2(20) NOT NULL,   --角色
  PAGE_ID    NVARCHAR2(20) NOT NULL,
  IS_SHOW     NUMBER(1) DEFAULT 0,   --是否之查看
  CREATE_TIME      DATE,
  UPDATE_TIME      DATE,
  DELETE_FLAG      NUMBER(1) DEFAULT 0,
  CREATE_USER      NVARCHAR2(50),
  UPDATE_USER      NVARCHAR2(50),
  COLUMN1          NVARCHAR2(255),
  COLUMN2          NVARCHAR2(255),
  COLUMN3          NVARCHAR2(255),
  COLUMN4          NVARCHAR2(255),
  COLUMN5          NVARCHAR2(255),
  COLUMN6          NVARCHAR2(255)
);


--人员角色表
CREATE TABLE GHJG_PD.ASS_USER_ROLE
(
  ASS_ID    NVARCHAR2(20) NOT NULL,
  ROLE_ID    NVARCHAR2(20) NOT NULL,   --角色
  USER_ID    NVARCHAR2(20) NOT NULL,
  CREATE_TIME      DATE,
  UPDATE_TIME      DATE,
  DELETE_FLAG      NUMBER(1) DEFAULT 0,
  CREATE_USER      NVARCHAR2(50),
  UPDATE_USER      NVARCHAR2(50),
  COLUMN1          NVARCHAR2(255),
  COLUMN2          NVARCHAR2(255),
  COLUMN3          NVARCHAR2(255),
  COLUMN4          NVARCHAR2(255),
  COLUMN5          NVARCHAR2(255),
  COLUMN6          NVARCHAR2(255)
);


