package com.ghjg.pd;

import io.swagger.v3.oas.annotations.OpenAPIDefinition;
import io.swagger.v3.oas.annotations.enums.SecuritySchemeIn;
import io.swagger.v3.oas.annotations.enums.SecuritySchemeType;
import io.swagger.v3.oas.annotations.info.Info;
import io.swagger.v3.oas.annotations.security.SecurityRequirement;
import io.swagger.v3.oas.annotations.security.SecurityScheme;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@OpenAPIDefinition(
    info = @Info(title = "港航监管浦东项目API技术文档", version = "1.0.0-SNAPSHOT"),
    security = @SecurityRequirement(name = "TOKEN"))
@SecurityScheme(
    type = SecuritySchemeType.APIKEY,
    name = "TOKEN",
    paramName = "token",
    in = SecuritySchemeIn.HEADER
)

@ComponentScan(basePackages = {"com.ghjg.pd.*"})
@MapperScan(basePackages = {"com.ghjg.pd.mapper"})
@EnableAsync
@EnableScheduling
public class GhjgPdApplication {

    public static void main(String[] args) {

        SpringApplication.run(GhjgPdApplication.class, args);

    }

}
