package com.ghjg.pd.controller.model.res.ass;

import com.ghjg.pd.entity.ass.AssPageDepartment;
import com.shanghaigeography.Util.DateUtils;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Objects;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "页面部门返回参数")
public class AssPageDepartmentRes {

  private static final long serialVersionUID = 1L;

  @Schema(description = "主键")
  private String assId;

  /**
   * 部门ID
   */
  @Schema(description = "部门ID")
  private Integer departmentId;

  /**
   * 页面ID
   */
  @Schema(description = "页面ID")
  private String pageId;

  private String createTime;


  private String updateTime;

  private Integer deleteFlag;

  private String createUser;

  private String updateUser;

  private String column1;

  private String column2;

  private String column3;

  private String column4;

  private String column5;

  private String column6;


  public static AssPageDepartmentRes from(AssPageDepartment assPageDepartment) {
    AssPageDepartmentRes res = new AssPageDepartmentRes();
    BeanUtils.copyProperties(assPageDepartment, res);
    res.setCreateTime(
        DateUtils.dateToString(assPageDepartment.getCreateTime(), DateUtils.DATE_FORMAT_19));
    if (!Objects.isNull(assPageDepartment.getUpdateTime())) {
      res.setUpdateTime(
          DateUtils.dateToString(assPageDepartment.getUpdateTime(), DateUtils.DATE_FORMAT_19));
    }
    return res;
  }
}
