package com.ghjg.pd.controller.model.res.ass;

import com.ghjg.pd.entity.ass.AssPageRole;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "角色页面返回参数")
public class AssPageRoleRes {

  private static final long serialVersionUID = 1L;
  @Schema(description = "主键")
  private String assId;

  /**
   * 角色ID
   */
  @Schema(description = "角色ID")
  private String roleId;

  /**
   * 页面ID
   */
  @Schema(description = "页面ID")
  private String pageId;

  /**
   * 是否只有查看权限
   */
  @Schema(description = "是否只有查看权限 0-否 1-是")
  private Integer isShow;

  private Date createTime;

  private Date updateTime;

  private Integer deleteFlag;

  private String createUser;

  private String updateUser;

  private String column1;

  private String column2;

  private String column3;

  private String column4;

  private String column5;

  private String column6;


  public static AssPageRoleRes from(AssPageRole assPageRole) {
    AssPageRoleRes res = new AssPageRoleRes();
    BeanUtils.copyProperties(assPageRole, res);
    return res;
  }
}
