package com.ghjg.pd.controller.model.res.ref;

import com.ghjg.pd.entity.ref.RefDepartment;
import com.shanghaigeography.Util.DateUtils;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Objects;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "部门返回参数")
public class RefDepartmentRes {

  private static final long serialVersionUID = 1L;
  @Schema(description = "主键")
  private Integer departmentId;

  /**
   * 部门名称
   */
  @Schema(description = "部门名称")
  private String departmentName;

  /**
   * 部门等级
   */
  @Schema(description = "部门等级")
  private String departmentLevel;

  private String createTime;

  private String updateTime;

  private Integer deleteFlag;

  private String createUser;

  private String updateUser;

  private String column1;

  private String column2;

  private String column3;

  private String column4;

  private String column5;

  private String column6;

  public static RefDepartmentRes from(RefDepartment refDepartment) {
    RefDepartmentRes res = new RefDepartmentRes();
    BeanUtils.copyProperties(refDepartment, res);
    res.setCreateTime(
        DateUtils.dateToString(refDepartment.getCreateTime(), DateUtils.DATE_FORMAT_19));
    if (!Objects.isNull(refDepartment.getUpdateTime())) {
      res.setUpdateTime(
          DateUtils.dateToString(refDepartment.getUpdateTime(), DateUtils.DATE_FORMAT_19));
    }
    return res;
  }
}
