package com.ghjg.pd.controller.model.res.ref;

import com.ghjg.pd.entity.ref.RefPosition;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "职位返回参数")
public class RefPositionRes {

  private static final long serialVersionUID = 1L;
  @Schema(description = "主键")
  private Integer positionId;

  /**
   * 职称名称
   */
  @Schema(description = "职称名称")
  private String positionName;

  /**
   * 职称等级
   */
  @Schema(description = "职称等级")
  private String positionLevel;

  private Date createTime;

  private Date updateTime;

  private Integer deleteFlag;

  private String createUser;

  private String updateUser;

  private String column1;

  private String column2;

  private String column3;

  private String column4;

  private String column5;

  private String column6;


  public static RefPositionRes from(RefPosition refPosition) {
    RefPositionRes refPositionRes = new RefPositionRes();
    BeanUtils.copyProperties(refPosition, refPositionRes);
    return refPositionRes;
  }
}
