package com.ghjg.pd.controller.model.res.sys;

import com.ghjg.pd.entity.sys.SysPageModule;
import com.shanghaigeography.Util.DateUtils;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Objects;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "页面详情返回参数")
public class SysPageModuleRes {

  @Schema(description = "主键")
  private String moduleId;
  @Schema(description = "名称")
  private String moduleName;
  @Schema(description = "状态")
  private Integer moduleStatus;

  private String createTime;

  private String updateTime;

  private Integer deleteFlag;

  private String createUser;

  private String updateUser;

  private String column1;

  private String column2;

  private String column3;

  private String column4;

  private String column5;

  private String column6;

  public static SysPageModuleRes from(SysPageModule sysPageModule) {
    SysPageModuleRes res = new SysPageModuleRes();
    BeanUtils.copyProperties(sysPageModule, res);
    res.setCreateTime(
        DateUtils.dateToString(sysPageModule.getCreateTime(), DateUtils.DATE_FORMAT_19));
    if (!Objects.isNull(sysPageModule.getUpdateTime())) {
      res.setUpdateTime(
          DateUtils.dateToString(sysPageModule.getUpdateTime(), DateUtils.DATE_FORMAT_19));
    }
    return res;
  }
}
