package com.ghjg.pd.controller.model.res.sys;

import com.ghjg.pd.entity.sys.SysRole;
import com.shanghaigeography.Util.DateUtils;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Objects;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SysRoleRes {

  @Schema(description = "主键")
  private String roleId;

  /**
   * 角色名称
   */
  @Schema(description = "角色名称")
  private String roleName;

  /**
   * 角色状态0启用1禁用
   */
  @Schema(description = "角色状态0启用1禁用")
  private Integer roleStatus;

  /**
   * 角色所属部门
   */
  @Schema(description = "角色所属部门")
  private Integer departmentId;

  private String createTime;

  private String updateTime;

  private Integer deleteFlag;

  private String createUser;

  private String updateUser;

  private String column1;

  private String column2;

  private String column3;

  private String column4;

  private String column5;

  private String column6;

  public static SysRoleRes from(SysRole sysRole) {
    SysRoleRes res = new SysRoleRes();
    BeanUtils.copyProperties(sysRole, res);
    res.setCreateTime(DateUtils.dateToString(sysRole.getCreateTime(), DateUtils.DATE_FORMAT_19));
    if (!Objects.isNull(sysRole.getUpdateTime())) {
      res.setUpdateTime(DateUtils.dateToString(sysRole.getUpdateTime(), DateUtils.DATE_FORMAT_19));
    }
    return res;
  }
}
