package com.ghjg.pd.controller.model.res.sys;


import com.ghjg.pd.entity.sys.SysUser;
import com.shanghaigeography.Util.DateUtils;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import java.util.Objects;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SysUserRes implements Serializable {

  private static final long serialVersionUID = 1L;


  @Schema(description = "主键")
  private String userId;

  /**
   * 名称
   */
  @Schema(description = "用户名")
  private String userName;

  /**
   * 性别男：女
   */
  @Schema(description = "性别男：女")
  private String userSex;

  /**
   * 所属部门
   */
  @Schema(description = "所属部门")
  private Integer departmentId;

  /**
   * 职称
   */
  @Schema(description = "职称")
  private Integer positionId;

  /**
   * 用户启用状态0启用1禁用
   */
  @Schema(description = "用户启用状态0启用1禁用")
  private Integer userStatus;

  @Schema(description = "密码")
  private String userPassword;

  @Schema(description = "邮箱")
  private String userEmail;

  @Schema(description = "手机号")
  private String userMobile;

  /**
   * 最后登录时间
   */
  private String userLastLoginTime;

  private String createTime;

  private String updateTime;

  private Integer deleteFlag;

  private String createUser;

  private String updateUser;

  private String column1;

  private String column2;

  private String column3;

  private String column4;

  private String column5;

  private String column6;


  public static SysUserRes from(SysUser sysUser) {
    SysUserRes res = new SysUserRes();
    BeanUtils.copyProperties(sysUser, res);
    res.setUserId(String.valueOf(sysUser.getUserId()));
    res.setCreateTime(DateUtils.dateToString(sysUser.getCreateTime(), DateUtils.DATE_FORMAT_19));
    if (!Objects.isNull(sysUser.getUpdateTime())) {
      res.setUpdateTime(DateUtils.dateToString(sysUser.getUpdateTime(), DateUtils.DATE_FORMAT_19));
    }
    if (!Objects.isNull(sysUser.getUserLastLoginTime())) {
      res.setUserLastLoginTime(
          DateUtils.dateToString(sysUser.getUserLastLoginTime(), DateUtils.DATE_FORMAT_19));
    }
    return res;
  }
}
