package com.ghjg.pd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author zk
 * @since 2023-12-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("nhdt.GPSINFO_REALTIME")
public class GpsinfoRealtime extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 船舶9位码
     */
    @TableId("DEVICEID")
    private String deviceid;

    /**
     * 各服务商按各自情况自主编号
     */
    @TableField("MESSAGECODE")
    private String messagecode;

    /**
     * 地理坐标X
     */
    @TableField("MAPX")
    private BigDecimal mapx;

    /**
     * 地理坐标Y
     */
    @TableField("MAPY")
    private BigDecimal mapy;

    /**
     * 速度--公里/小时
     */
    @TableField("VELOCITY")
    private BigDecimal velocity;

    /**
     * 方向--度，大于等于0度，小于360度
     */
    @TableField("DIRECTION")
    private BigDecimal direction;

    /**
     * GPS时间---yyyymmddhhmmss北京时间 24时制
     */
    @TableField("GPSTIME")
    private Date gpstime;

    /**
     * 空重车/船状态---0 空车/船
1 重车/船
2 未知

     */
    @TableField("BOATSTATE")
    private BigDecimal boatstate;

    /**
     * 定位与否--0 未定位
1 定位

     */
    @TableField("ISPUTCOORD")
    private BigDecimal isputcoord;

    /**
     * 报警状态--Bit0=1时，表示紧急报警
Bit1=1时，表示速度报警

     */
    @TableField("ALARMSTATE")
    private BigDecimal alarmstate;

    /**
     * ACC状态---0：ACC关
1：ACC开
2：未知

     */
    @TableField("ACCSTATE")
    private BigDecimal accstate;

    /**
     * GPS纬度值
     */
    @TableField("LATITUDE")
    private BigDecimal latitude;

    /**
     * GPS经度值
     */
    @TableField("LONGITUDE")
    private BigDecimal longitude;

    /**
     * 信息来源 1为gps    2为ars
     */
    @TableField("INFSOURCE")
    private Integer infsource;

    /**
     * 船舶的航行状态
     */
    @TableField("SHIPSTATE")
    private String shipstate;


}
