package com.ghjg.pd.entity.ass;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ghjg.pd.controller.model.req.ass.AssPageDepartmentReq;
import com.ghjg.pd.controller.model.req.sys.SysPageReq;
import com.ghjg.pd.entity.BaseEntity;
import com.ghjg.pd.entity.sys.SysPage;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.beans.BeanUtils;

/**
 * <p>
 * 部门和页面关系表
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("GHJG_PD.ASS_PAGE_DEPARTMENT")
public class AssPageDepartment extends BaseEntity {

  private static final long serialVersionUID = 1L;

  @TableId("ASS_ID")
  private String assId;

  /**
   * 部门ID
   */
  @TableField("DEPARTMENT_ID")
  private Integer departmentId;

  /**
   * 页面ID
   */
  @TableField("PAGE_ID")
  private String pageId;


  @TableField("CREATE_TIME")
  @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
  private Date createTime;


  @TableField("UPDATE_TIME")
  @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
  private Date updateTime;

  @TableField("DELETE_FLAG")
  private Integer deleteFlag;

  @TableField("CREATE_USER")
  private String createUser;

  @TableField("UPDATE_USER")
  private String updateUser;

  @TableField("COLUMN1")
  private String column1;

  @TableField("COLUMN2")
  private String column2;

  @TableField("COLUMN3")
  private String column3;

  @TableField("COLUMN4")
  private String column4;

  @TableField("COLUMN5")
  private String column5;

  @TableField("COLUMN6")
  private String column6;


  public static AssPageDepartment from(AssPageDepartmentReq req) {
    AssPageDepartment assPageDepartment = new AssPageDepartment();
    BeanUtils.copyProperties(req, assPageDepartment);
    return assPageDepartment;
  }

}
