package com.ghjg.pd.entity.ass;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ghjg.pd.controller.model.req.ass.AssUserRoleReq;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.ghjg.pd.entity.BaseEntity;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.beans.BeanUtils;

/**
 * <p>
 * 用户角色表
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("GHJG_PD.ASS_USER_ROLE")
public class AssUserRole extends BaseEntity {

  private static final long serialVersionUID = 1L;

  @TableField("ASS_ID")
  private String assId;

  /**
   * 角色ID
   */
  @TableField("ROLE_ID")
  private String roleId;

  /**
   * 用户ID
   */
  @TableField("USER_ID")
  private String userId;

  @TableField("CREATE_TIME")
  private Date createTime;

  @TableField("UPDATE_TIME")
  private Date updateTime;

  @TableField("DELETE_FLAG")
  private Integer deleteFlag;

  @TableField("CREATE_USER")
  private String createUser;

  @TableField("UPDATE_USER")
  private String updateUser;

  @TableField("COLUMN1")
  private String column1;

  @TableField("COLUMN2")
  private String column2;

  @TableField("COLUMN3")
  private String column3;

  @TableField("COLUMN4")
  private String column4;

  @TableField("COLUMN5")
  private String column5;

  @TableField("COLUMN6")
  private String column6;


  public static AssUserRole from(AssUserRoleReq req) {
    AssUserRole assUserRole = new AssUserRole();
    BeanUtils.copyProperties(req, assUserRole);
    return assUserRole;
  }
}
