package com.ghjg.pd.entity.ref;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ghjg.pd.controller.model.req.ref.RefDepartmentReq;
import com.ghjg.pd.entity.BaseEntity;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.beans.BeanUtils;

/**
 * <p>
 * 部门科室表
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("GHJG_PD.REF_DEPARTMENT")
public class RefDepartment extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("DEPARTMENT_ID")
    private Integer departmentId;

    /**
     * 部门名称
     */
    @TableField("DEPARTMENT_NAME")
    private String departmentName;

    /**
     * 部门等级
     */
    @TableField("DEPARTMENT_LEVEL")
    private String departmentLevel;

    @TableField("CREATE_TIME")
    private Date createTime;

    @TableField("UPDATE_TIME")
    private Date updateTime;

    @TableField("DELETE_FLAG")
    private Integer deleteFlag;

    @TableField("CREATE_USER")
    private String createUser;

    @TableField("UPDATE_USER")
    private String updateUser;

    @TableField("COLUMN1")
    private String column1;

    @TableField("COLUMN2")
    private String column2;

    @TableField("COLUMN3")
    private String column3;

    @TableField("COLUMN4")
    private String column4;

    @TableField("COLUMN5")
    private String column5;

    @TableField("COLUMN6")
    private String column6;

  public static RefDepartment from(RefDepartmentReq req) {
    RefDepartment refDepartment = new RefDepartment();
    BeanUtils.copyProperties(req, refDepartment);
    return refDepartment;
  }
}
