package com.ghjg.pd.entity.ref;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ghjg.pd.controller.model.req.ref.RefPositionReq;
import com.ghjg.pd.entity.BaseEntity;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.beans.BeanUtils;

/**
 * <p>
 * 职称表
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("GHJG_PD.REF_POSITION")
public class RefPosition extends BaseEntity {

  private static final long serialVersionUID = 1L;

  @TableId("POSITION_ID")
  private Integer positionId;

  /**
   * 职称名称
   */
  @TableField("POSITION_NAME")
  private String positionName;

  /**
   * 职称等级
   */
  @TableField("POSITION_LEVEL")
  private String positionLevel;

  @TableField("CREATE_TIME")
  private Date createTime;

  @TableField("UPDATE_TIME")
  private Date updateTime;

  @TableField("DELETE_FLAG")
  private Integer deleteFlag;

  @TableField("CREATE_USER")
  private String createUser;

  @TableField("UPDATE_USER")
  private String updateUser;

  @TableField("COLUMN1")
  private String column1;

  @TableField("COLUMN2")
  private String column2;

  @TableField("COLUMN3")
  private String column3;

  @TableField("COLUMN4")
  private String column4;

  @TableField("COLUMN5")
  private String column5;

  @TableField("COLUMN6")
  private String column6;


  public static RefPosition from(RefPositionReq req) {
    RefPosition refPosition = new RefPosition();
    BeanUtils.copyProperties(req, refPosition);
    return refPosition;
  }
}
