package com.ghjg.pd.entity.sys;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ghjg.pd.controller.model.req.sys.SysRoleReq;
import com.ghjg.pd.entity.BaseEntity;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.beans.BeanUtils;

/**
 * <p>
 * 用户角色表
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("GHJG_PD.SYS_ROLE")
public class SysRole extends BaseEntity {

  private static final long serialVersionUID = 1L;

  @TableId("ROLE_ID")
  private String roleId;

  /**
   * 角色名称
   */
  @TableField("ROLE_NAME")
  private String roleName;

  /**
   * 角色状态0启用1禁用
   */
  @TableField("ROLE_STATUS")
  private Integer roleStatus;

  /**
   * 角色所属部门
   */
  @TableField("DEPARTMENT_ID")
  private Integer departmentId;

  @TableField("CREATE_TIME")
  private Date createTime;

  @TableField("UPDATE_TIME")
  private Date updateTime;

  @TableField("DELETE_FLAG")
  private Integer deleteFlag;

  @TableField("CREATE_USER")
  private String createUser;

  @TableField("UPDATE_USER")
  private String updateUser;

  @TableField("COLUMN1")
  private String column1;

  @TableField("COLUMN2")
  private String column2;

  @TableField("COLUMN3")
  private String column3;

  @TableField("COLUMN4")
  private String column4;

  @TableField("COLUMN5")
  private String column5;

  @TableField("COLUMN6")
  private String column6;

  public static SysRole from(SysRoleReq req) {
    SysRole sysRole = new SysRole();
    BeanUtils.copyProperties(req, sysRole);
    return sysRole;
  }
}
