package com.ghjg.pd.entity.sys;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ghjg.pd.controller.model.req.sys.SysUserReq;
import com.baomidou.mybatisplus.annotation.TableField;
import com.ghjg.pd.entity.BaseEntity;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.beans.BeanUtils;

/**
 * <p>
 * 系统用户表（管理端）
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("GHJG_PD.SYS_USER")
public class SysUser extends BaseEntity {

  private static final long serialVersionUID = 1L;

  @TableId("USER_ID")
  private String userId;

  /**
   * 名称
   */
  @TableField("USER_NAME")
  private String userName;

  /**
   * 性别男：女
   */
  @TableField("USER_SEX")
  private String userSex;

  /**
   * 所属部门
   */
  @TableField("DEPARTMENT_ID")
  private Integer departmentId;

  /**
   * 职称
   */
  @TableField("POSITION_ID")
  private Integer positionId;

  /**
   * 用户启用状态0启用1禁用
   */
  @TableField("USER_STATUS")
  private Integer userStatus;

  @TableField("USER_PASSWORD")
  private String userPassword;

  @TableField("USER_EMAIL")
  private String userEmail;

  @TableField("USER_MOBILE")
  private String userMobile;

  /**
   * 最后登录时间
   */
  @TableField("USER_LAST_LOGIN_TIME")
  private Date userLastLoginTime;

  @TableField("CREATE_TIME")
  private Date createTime;

  @TableField("UPDATE_TIME")
  private Date updateTime;

  @TableField("DELETE_FLAG")
  private Integer deleteFlag;

  @TableField("CREATE_USER")
  private String createUser;

  @TableField("UPDATE_USER")
  private String updateUser;

  @TableField("COLUMN1")
  private String column1;

  @TableField("COLUMN2")
  private String column2;

  @TableField("COLUMN3")
  private String column3;

  @TableField("COLUMN4")
  private String column4;

  @TableField("COLUMN5")
  private String column5;

  @TableField("COLUMN6")
  private String column6;


  public static SysUser fromReq(SysUserReq req) {
    SysUser sysUser = new SysUser();
    BeanUtils.copyProperties(req, sysUser);
    return sysUser;
  }

}
