package com.ghjg.pd.service.ref.impl;

import com.ghjg.pd.entity.ref.RefDepartment;
import com.ghjg.pd.mapper.ref.RefDepartmentMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ghjg.pd.service.ref.RefDepartmentService;
import com.ghjg.pd.vo.RefDepartmentVo;
import com.github.pagehelper.PageHelper;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 部门科室表 服务实现类
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Service
public class RefDepartmentServiceImpl extends
    ServiceImpl<RefDepartmentMapper, RefDepartment> implements RefDepartmentService {

  @Resource
  RefDepartmentMapper refDepartmentMapper;

  @Override
  public Integer getIdFromSeq() {
    return refDepartmentMapper.getIdFromSeq();
  }

  @Override
  public List<RefDepartmentVo> getList(Map<String, Object> params) {
    int current = (int) params.get("current");
    int size = (int) params.get("size");
    PageHelper.startPage(current, size);
    return refDepartmentMapper.selectRefDepartmentList(params);
  }
}
