package com.ghjg.pd.service.ref.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ghjg.pd.entity.ref.RefPosition;
import com.ghjg.pd.mapper.ref.RefPositionMapper;
import com.ghjg.pd.service.ref.RefPositionService;
import com.github.pagehelper.PageHelper;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 职称表 服务实现类
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Service
public class RefPositionServiceImpl extends ServiceImpl<RefPositionMapper, RefPosition> implements
    RefPositionService {

  @Resource
  RefPositionMapper refPositionMapper;

  @Override
  public Integer getIdFromSeq() {
    return refPositionMapper.getIdFromSeq();
  }

  @Override
  public List<RefPosition> getList(Map<String, Object> params) {
    int current = (int) params.get("current");
    int size = (int) params.get("size");
    PageHelper.startPage(current, size);
    return refPositionMapper.selectRefPositionList(params);
  }
}
