package com.ghjg.pd.service.sys.impl;

import com.ghjg.pd.entity.sys.SysUser;
import com.ghjg.pd.mapper.sys.SysUserMapper;
import com.ghjg.pd.service.sys.SysUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 系统用户表（管理端） 服务实现类
 * </p>
 *
 * @author zk
 * @since 2024-01-04
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements
    SysUserService {

  @Resource
  SysUserMapper userMapper;

  @Override
  public List<SysUser> getList(Map<String, Object> params) {
    int current = (int) params.get("current");
    int size = (int) params.get("size");
    PageHelper.startPage(current, size);
    return userMapper.selectSysUserList(params);
  }
}
