package com.ghjg.pd.shiro;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 配置参数
 * secretKey   保密内容，密码
 * tokenSecretKey   加密 解密Token时用到
 * refreshSpace Token   有效时间
 */
@Configuration
public class AuthConfig {
    /**
     * @Description //TODO 保密内容，密码
     **/
    @Value("${server.auth.secretKey: gxjh1234}")
    private String secretKey;
    /**
     * @Description //TODO 加密 解密Token时用到
     **/
    @Value("${server.auth.tokenSecretKey: gxjh5678}")
    private String tokenSecretKey;
    /**
     * @Description //TODO token失效间隔 默认一天
     **/
    @Value("${server.auth.jwt.refreshSpace: 86400000}")
    private long tokenRefreshSpace;
    /**
     * @Description //TODO AES加密解密秘钥，需和前端相同,必须为16位字符！
    **/
    @Value("${server.auth.aesKey:1Qaz2wsx1Qaz2wsx}")
    private String aesKey;
    
    public String getSecretKey() {
        return secretKey;
    }

    public AuthConfig setSecretKey(String secretKey) {
        this.secretKey = secretKey;
        return this;
    }

    public String getTokenSecretKey() {
        return tokenSecretKey;
    }

    public AuthConfig setTokenSecretKey(String tokenSecretKey) {
        this.tokenSecretKey = tokenSecretKey;
        return this;
    }

    public long getTokenRefreshSpace() {
        return tokenRefreshSpace;
    }

    public AuthConfig setTokenRefreshSpace(long tokenRefreshSpace) {
        this.tokenRefreshSpace = tokenRefreshSpace;
        return this;
    }

    public String getAesKey() {
        return aesKey;
    }

    public AuthConfig setAesKey(String aesKey) {
        this.aesKey = aesKey;
        return this;
    }
}
