package com.ghjg.pd.shiro.filter;

import com.shanghaigeography.entity.ResultMsg;
import com.shanghaigeography.eum.ResultState;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.apache.shiro.web.filter.authc.AuthenticationFilter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class StaticFileFilter extends AuthenticationFilter {

    @Value("${static.file.notPass}")
    private String staticNotPass;

    @Override
    protected boolean onAccessDenied(ServletRequest servletRequest, ServletResponse response1) throws Exception {
//        HttpServletResponse response = (HttpServletResponse) response1;
//        HttpServletRequest request = (HttpServletRequest) servletRequest;
//        String ajax = request.getHeader("x-requested-with");
//        if (StringUtils.isBlank(ajax)) {
//            log.info("=====不是ajax");
//            response.sendRedirect("/login");
//        }else {
//            log.info("=====是ajax"+ajax);
//            response.setContentType("text/html;charset=utf-8");
//            response.getWriter().write("访问有问题");
//        }
        return false;
    }

    @SneakyThrows
    @Override
    protected boolean isAccessAllowed(ServletRequest servletRequest, ServletResponse response, Object mappedValue) {
        HttpServletRequest request = (HttpServletRequest) servletRequest;
        String url = request.getRequestURL().toString();
        log.info("静态资源拦截查看：请求地址：" + request.getRequestURL());
        if (StringUtils.isNotBlank(staticNotPass)) {
            if (staticNotPass.contains(",")) {
                String[] suff = staticNotPass.split(",");
                for (int i = 0; i < suff.length; i++) {
                    if (url.contains(suff[i])) {
                        response.setContentType("text/html;charset=utf-8");
                        response.getWriter().write(new ResultMsg<String>().setCode(ResultState.ERROR).setMsg("该地址不允许访问").toJSON());
                        return false;
                    }
                }
            } else {
                if (url.contains(staticNotPass)) {
                    response.setContentType("text/html;charset=utf-8");
                    response.getWriter().write(new ResultMsg<String>().setCode(ResultState.ERROR).setMsg("该地址不允许访问").toJSON());
                    return false;
                }
            }
        }
        return true;
    }

    /**
     * 重定向修改
     * @param request
     * @param response
     * @throws Exception
     */
    @Override
    protected void issueSuccessRedirect(ServletRequest request, ServletResponse response) throws Exception {



    }
}
