package com.ghjg.pd.uitll;

import com.alibaba.fastjson.JSONObject;
import com.ghjg.pd.entity.sys.SysUser;
import io.jsonwebtoken.Claims;
import io.jsonwebtoken.JwtBuilder;
import io.jsonwebtoken.JwtParser;
import io.jsonwebtoken.Jwts;
import io.jsonwebtoken.SignatureAlgorithm;
import java.util.Date;
import org.apache.shiro.SecurityUtils;

public class TokenUtil {

  private static final String secret = "secretchengdi123&";

  //设置24个小时过期
  private static final Long expTime = 60 * 60 * 24 * 1000L;

  public static String getToken(String name, String id, String ip) {
    JwtBuilder builder = Jwts.builder();
    builder.signWith(SignatureAlgorithm.HS256, secret);
    builder.setId(id).setSubject(name).setAudience(ip);
    builder.setIssuedAt(new Date()).setExpiration(new Date(System.currentTimeMillis() + expTime));
    String token = builder.compact();
    return token;
  }

  public static Claims getTokenBody(String token) {
    JwtParser parser = Jwts.parser();
    Claims body = parser.setSigningKey(secret).parseClaimsJws(token).getBody();
    return body;
  }

  public static String getName(String token) {
    Claims body = getTokenBody(token);
    String id = body.getId();
    return id;
  }

  public static SysUser getLocalUser() {
    String principal = (String) SecurityUtils.getSubject().getPrincipal();
    return JSONObject.parseObject(principal,
        SysUser.class);
  }
}
